OpenTV ENTera & OpenTV Platform Documentation

Rails-specific metrics

Common fields

The following fields must be included in every request body:

  • accountId – the account ID

  • userId – must be an empty string

  • deviceId – the device ID

  • key – must be an empty string

  • name – the activity name

  • timestamp – the activity timestamp in <YYYY>-<MM>-<DD>T<hh>:<mm>:<ss>Z format

These fields are not included in the examples in the following table.

Activity name

Trigger

Description

Required data fields


Notes

Examples

railView

Created when the Rail is shown on the screen (user engagement measure).


appSessionId
playbackSessionId
templateId
railId
depth
deviceId 
accountId
userId


Request:

POST https://<server>/useractivityvault/v1/useractivity/railView

Body:

JSON
{
  ...
  "metadata": {
    "appSessionId": "<UUID>|<GUID>",
    "playbackSessionId": "<UUID>|<GUID>",
    "contentType": "live-event",
    "railId": "<rail_ID>",
    "depth": "<depth>",
    "templateId": "<template_ID>"
  }
  ...
}

railSelection

Created when a user selects a Rail item to open the media card/more detail.


appSessionId
playbackSessionId
templateId
railId
sectionId
editorialId
contentType
deviceId 
accountId
userId
deeplinkProviderId
providerResourceId


Request:

POST https://<server>/useractivityvault/v1/useractivity/railSelection

Body:

JSON
{
  ...
  "metadata": {
    "appSessionId": "<UUID>|<GUID>",
    "playbackSessionId": "<UUID>|<GUID>",
    "contentType": "live-event",
    "deeplinkProviderId": "<deeplink_provider_ID>",
    "providerResourceId": "<provider_resource_ID>",
    "editorialId": "<editorial_ID>",
    "railId": "<rail_ID>",
    "sectionId": "<section_ID>",
    "templateId": "<template_ID>"
  }
  ...
}